Page MenuHomePhabricator

Selenium tests for Math
Closed, ResolvedPublic

Description

Done

✅ Selenium tests for Math, 346982, mediawiki/extensions/Math
💀 Run Selenium tests for Math, 433983, integration/config
✅ Run qunit-selenium job for Math in experimental pipeline, 434276, integration/config
✅ Delete Selenium tests in Ruby, 434936, mediawiki/extensions/Math
✅ Do not run mwgate-rake-docker job for Math, 434950, integration/config
✅ Run daily job running Math Selenium tests targeting beta cluster, 435990, integration/config
T195206: mediawiki-core-qunit-selenium-jessie tests for math broken
✅ Run Selenium tests for Math, 440325, integration/config

Details

Related Gerrit Patches:
integration/config : masterRun Selenium tests for Math
integration/config : masterRun daily job running Math Selenium tests targeting beta cluster
mediawiki/extensions/Math : masterDelete Selenium tests in Ruby
integration/config : masterDo not run mwgate-rake-docker job for Math
mediawiki/extensions/Math : masterSelenium tests for Math
integration/config : masterRun Selenium tests for Math

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2017, 1:00 PM

Change 346982 had a related patch set uploaded (by Zfilipin):
[mediawiki/extensions/Math@master] WIP WebdriverIO tests for Math

https://gerrit.wikimedia.org/r/346982

@zeljkofilipin thanks for looking into that. Please let me know if there is something that I can test.

@Physikerwelt: I have updated the patch in gerrit.

zeljkofilipin removed zeljkofilipin as the assignee of this task.Apr 10 2017, 3:28 PM
zeljkofilipin changed the task status from Open to Stalled.May 25 2017, 4:11 PM

Change 346982 abandoned by Zfilipin:
WIP WebdriverIO tests for Math

Reason:
no activity

https://gerrit.wikimedia.org/r/346982

Change 346982 restored by Zfilipin:
WIP WebdriverIO tests for Math

https://gerrit.wikimedia.org/r/346982

zeljkofilipin changed the task status from Stalled to Open.Jun 1 2017, 10:36 AM
zeljkofilipin claimed this task.
hashar added a subscriber: hashar.Jul 6 2017, 9:51 AM

The webdriver.io patch on https://gerrit.wikimedia.org/r/#/c/346982/ is a port of the ruby browser test. It basically:

  • edit a page
  • enter a formula
  • assert some image got generated

The ruby version runs daily against beta with both firefox and chrome. That is a good smoke test to ensure Math works fine on the beta cluster. For proposed patches, I don't think it brings any value, the PHPUnit integration tests should be covering it already.

On patchset proposal, that test should not be run. When we come to migrate the job selenium-Math from ruby to javascript, we would to run it though. So we need in Webdriver.io a system similar to the cucumber tag. Zeljko mentioned suites for that.

To make it explicit, we did not invest time in updating CI so the example test runs fine there because the repository owner(s) do not have time and/or interest in writing Selenium tests (as far as we can see).

Change 346982 abandoned by Zfilipin:
WIP WebdriverIO tests for Math

Reason:
No activity in months.

https://gerrit.wikimedia.org/r/346982

@Physikerwelt let me know if you need help. I am available for pairing and/or code review. Documentation is available: Selenium/Node.js, Selenium/Node.js/Write...

greg added a subscriber: greg.

@Physikerwelt let me know if you need help. I am available for pairing and/or code review. Documentation is available: Selenium/Node.js, Selenium/Node.js/Write...

Let us know if you need any more help.

zeljkofilipin changed the task status from Stalled to Open.May 19 2018, 11:13 AM
zeljkofilipin assigned this task to Physikerwelt.
zeljkofilipin moved this task from Backlog to Sprints on the Wikimedia-Hackathon-2018 board.

Change 346982 restored by Zfilipin:
WIP WebdriverIO tests for Math

https://gerrit.wikimedia.org/r/346982

zeljkofilipin renamed this task from WebdriverIO tests for Math to Selenium tests for Math.May 19 2018, 11:16 AM

Change 433983 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Run Selenium tests for Math

https://gerrit.wikimedia.org/r/433983

Change 433983 merged by jenkins-bot:
[integration/config@master] Run Selenium tests for Math

https://gerrit.wikimedia.org/r/433983

Change 434936 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/Math@master] Delete Selenium tests in Ruby

https://gerrit.wikimedia.org/r/434936

Change 346982 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Selenium tests for Math

https://gerrit.wikimedia.org/r/346982

Change 434950 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run mwgate-rake-docker job for Math

https://gerrit.wikimedia.org/r/434950

Change 434950 merged by jenkins-bot:
[integration/config@master] Do not run mwgate-rake-docker job for Math

https://gerrit.wikimedia.org/r/434950

Change 434936 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Delete Selenium tests in Ruby

https://gerrit.wikimedia.org/r/434936

Change 435990 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Run daily job running Math Selenium tests targeting beta cluster

https://gerrit.wikimedia.org/r/435990

Change 435990 merged by jenkins-bot:
[integration/config@master] Run daily job running Math Selenium tests targeting beta cluster

https://gerrit.wikimedia.org/r/435990

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)

Change 440325 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Revert "Run qunit-selenium job for Math in experimental pipeline"

https://gerrit.wikimedia.org/r/440325

zeljkofilipin updated the task description. (Show Details)

Change 440325 merged by jenkins-bot:
[integration/config@master] Run Selenium tests for Math

https://gerrit.wikimedia.org/r/440325

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin closed this task as Resolved.Jun 15 2018, 12:37 PM

I think this is resolved. Please reopen if there is anything left to do. I will work on T161697: Run Selenium tests using Firefox soon, but I don't think it is blocking this task.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 15 2018, 12:37 PM